#
# uupk01.rb
#
# $Id: uupk01.rb,v 1.1 2000/11/23 08:19:14 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


n = 30
y = NArray.sfloat(n)

#---------------------------- DATA DEFINITION --------------------------
r = 0.2
a = 3.7
for i in 0..n-1
  r = a*r*(1.0-r)
  y[i] = r
end

y[n/2-1] = 999.0
gllset('LMISS', true)
rundef = glrget('RUNDEF')

#----------------------------- GRAPH -----------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm
sglset('LCLIP', true)

grswnd(0.0, 1.0, rundef, rundef)
usspnt(rundef, y)
uspfit
grstrf

usdaxs

uuslni(2)
uulin(rundef, y)

uusmkt(4)
uumrk(rundef, y)

grcls

