#
# uxyz5.rb
#   $Id: uxyz5.rb,v 1.2 2000/11/18 19:03:51 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include Math


nx1 = 21
nx2 = 5
ny1 = 0
ny2 = 18

rx1 = NArray.sfloat(nx1)
rx1.indgen(-50.0, 5.0)

rx2 = NArray.sfloat(nx2)
rx2.indgen(-40.0, 20.0)

cx2 = ['40S ','20S ','EQ  ','20N ','40N ']

ry2 = NArray[1000.0, 850.0, 700.0, 500.0, 400.0, 300.0, 250.0, 200.0,
               150.0, 100.0, 70.0, 50.0, 30.0, 10.0, 5.0, 2.0, 1.0, 0.4]

cy2 = ['1000','    ','    ','500 ','    ','    ','    ','200 ','    ',
       '100 ','    ','50  ','30  ','10  ','5   ','2   ','1   ','.4  ']

dummy = []


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(-50.0, 50.0, 1.0e3, 0.4)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(2)
grstrf

uxaxlb('B', rx1, rx2, cx2, 4)
uxaxlb('T', rx1, rx2, cx2, 4)
uxsttl('B', 'LATITUDE', 0.0)

uyaxlb('L', dummy, ry2, cy2, 4)
uyaxlb('R', dummy, ry2, cy2, 4)
uysttl('L', 'PRESSURE (hPa)', 0.0)

uxmttl('T', 'UXAXLB/UYAXLB', 0.0)

grcls

