#
# kihon1.rb
#
# $Id: kihon1.rb,v 1.1 2000/11/21 03:15:38 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 50

x  = NArray.sfloat(nmax+1)
y1 = NArray.sfloat(nmax+1)
y2 = NArray.sfloat(nmax+1)
y3 = NArray.sfloat(nmax+1)

#-- data ----
x.indgen!(0.0, 1.0/nmax)
y1 = x**3
y2 = x**2
y3 = sqrt(x)

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
sgfrm

slpvpr(1)

sgplv(nmax+1, x, y1)
sgpmv(nmax+1, x, y2)
sgtxv(0.5, 0.5, 'SGTXV')
sglset('LSOFTF', true)
sgtnv(nmax+1, x, y3)

sgcls

